Bug 150021 - papd -d doesn't work
papd -d doesn't work
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: netatalk (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Nagy
: Patch, Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-01 13:17 EST by Jonathan Kamens
Modified: 2016-07-26 19:46 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-06 11:18:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Write debugging output also to stderr when papd is invoked with -d option (962 bytes, patch)
2008-03-06 06:39 EST, Martin Nagy
no flags Details | Diff

  None (edit)
Description Jonathan Kamens 2005-03-01 13:17:15 EST
The man page for papd in netatalk-2.0.2-1 claims that when papd is run
with -d, it prints information to stderr.  It lies.  When I run papd
with -d, it fails silently (it apparently thinks there's something
wrong with my papcap file, a separate issue which I'm still
debugging).  This snippet of output from strace run on "papd -d -f
/etc/atalk/papd.conf" is revealing:

5981  open("/", O_RDONLY|O_LARGEFILE)   = 3
5981  dup2(3, 1)                        = 1
5981  dup2(3, 2)                        = 2

I think perhaps papd is calling daemon() even when it is run with
"-d".  I don't think it should be doing that.
Comment 1 Jason Vas Dias 2005-06-16 18:14:43 EDT
This bug should now be fixed with netatalk-2.0.3-1, in rawhide-20050617
and available for download from: 
    http://people.redhat.com/~jvdias/netatalk
If no problems are found with it, it will shortly be in fc4-updates.
There is also an FC-3 version for i386 in the FC3 directory.
Please try out this version and let me know of any issues. Thank You!
Comment 2 Jonathan Kamens 2005-08-02 09:31:10 EDT
I have netatalk-2.0.3-2, compiled on July 20, 2005, and this problem persists,
even down to the open("/") and dup2() calls still showing up in the strace output.

I'm not sure why you thought this was fixed in 2.0.3-1, but it doesn't seem to be.
Comment 3 Jason Vas Dias 2005-08-02 12:40:17 EDT
Sorry for the misunderstanding.
You said:
  "I think perhaps papd is calling daemon() even when it is run with
   '-d'.  I don't think it should be doing that.
  "
I tested 'papd -d' with netatalk-2.0.3 - it does NOT daemonize (fork into
the background), and does emit debug messages to the system log /var/log/messages. 

Yes, man papd(8) does lie when it says it writes messages to stderr - I'll
update the man-page in the next version.

You need to send the '*.debug' syslog messsages to some log file in
/etc/syslog.conf in order to see them.


Comment 4 John Thacker 2006-10-29 16:19:12 EST
[Mass switching of bugs filed against FC4T3 to fc4test3 from test3]
Comment 5 Christian Iseli 2007-01-22 05:26:42 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 6 Matthew Miller 2007-04-06 11:19:52 EDT
Fedora Core 3 and Fedora Core 4 are no longer supported. If you could retest
this issue on a current release or on the latest development / test version, we
would appreciate that. Otherwise, this bug will be marked as CANTFIX one month
from now. Thanks for your help and for your patience.
Comment 7 Jonathan Kamens 2007-07-18 10:08:33 EDT
The man page for papd still says stderr.  And I just ran "papd -d" and it 
logged only one message to stderr:

Jul 18 10:07:19 jik2 papd[11464]: restart (2.0.3)

before exiting.  So I still don't believe this is fixed.
Comment 8 Martin Nagy 2008-03-06 06:39:04 EST
Created attachment 297031 [details]
Write debugging output also to stderr when papd is invoked with -d option

This patch should fix the problem.
Comment 9 Martin Nagy 2008-03-06 11:18:30 EST
Fixed in netatalk-2.0.3-19.fc9

Note You need to log in before you can comment on or make changes to this bug.